QGIS3 New node tool lack the ability to add or remove vertices from the current selection

2017-10-08 10:05 PM - Dominique Lyszczarz

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25157

Description

With the new node tool it's possible to select multiple vertices by drawing a rectangle but its not possible to add or remove vertices from

the current selection by maintaining ctrl or shift key and drawing another rectangle. Old node tool has this feature.

Associated revisions

Revision dd739ac0 - 2018-01-19 12:10 PM - Nyall Dawson

[needs-docs] Allow adding and remove nodes from node tool selection

Holding shift while clicking and dragging adds nodes to selection,

holding ctrl removes nodes from selection.

Additionally, this commit:

- fixes the current 'select node but don't start moving' shortcut,

but changes it from ctrl-click on a node to shift-click on a node

(since it's 'adding' to the selection)

- makes ctrl-click on a single node remove just that node from

the selection

Fixes #17259

History

#1 - 2017-10-08 11:03 PM - Giovanni Manghi

- Tracker changed from Feature request to Bug report

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Priority changed from Normal to High

- Regression? set to Yes

#2 - 2018-01-19 12:10 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|dd739ac0358bf971ac7087d1aec83a13bdafe14b.

#3 - 2018-02-22 11:08 AM - Giovanni Manghi
- Resolution set to fixed/implemented
